Module serialio
    Public strPatternName As String = "Internal (Default)"
    Public strPatternFile As String = "Internal"
    Public boolAllowRemote As Boolean = False
    Sub SendSerialData(ByVal data As String, ByVal Port As String)
        ' Send strings to a serial port.
        Using COM As IO.Ports.SerialPort = My.Computer.Ports.OpenSerialPort(Port)
            COM.WriteLine(data)
            COM.Close()
        End Using
    End Sub
    Function ReceiveSerialData(ByVal Port As String) As String
        ' Receive strings from a serial port.
        Dim returnStr As String = ""
        Using COM As IO.Ports.SerialPort = My.Computer.Ports.OpenSerialPort(Port)
            Do
                Dim Incoming As String = COM.ReadLine()
                If Incoming Is Nothing Then
                    Exit Do
                Else
                    returnStr &= Incoming & vbCrLf
                End If
            Loop
            COM.Close()
        End Using
        Return returnStr
    End Function
End Module