Public Class frmMain
    Private Sub frmMain_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        lblStatus.Text = "Device not found"
        lblPatUse.Text = "Patterns: " & strPatternName
        frmOptions.comPorts.Items.Clear()
        For Each sp As String In My.Computer.Ports.SerialPortNames
            frmOptions.comPorts.Items.Add(sp)
            frmOptions.comPortUse.Items.Add(sp)
        Next
        frmOptions.comPortUse.SelectedIndex = 0
        frmOptions.comPorts.SelectedIndex = 0
    End Sub
    Private Sub mnuOptions_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuOptions.Click
        frmOptions.ShowDialog()
    End Sub
    Private Sub mnuExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuExit.Click
        End
    End Sub
    Private Sub mnuAbout_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuAbout.Click
        MsgBox("Prism" & vbCrLf & "Version 0.1" & vbCrLf & "2007 insomnia design" & vbCrLf & vbCrLf & "Written by George Gueorguiev" & vbCrLf & "January - April 2007", MsgBoxStyle.Information)
    End Sub
    Private Sub CreateNewToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CreateNewToolStripMenuItem.Click
        MsgBox("Not implemented yet.", MsgBoxStyle.Information)
    End Sub
    Private Sub EditCurrentToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EditCurrentToolStripMenuItem.Click
        MsgBox("Not implemented yet.", MsgBoxStyle.Information)
    End Sub
    Private Sub LoadIntoEditorToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LoadIntoEditorToolStripMenuItem.Click
        MsgBox("Not implemented yet.", MsgBoxStyle.Information)
    End Sub
    Private Sub cmdStart_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdStart.Click
        cmdStart.Enabled = False
        comPresets.Enabled = False
        radRandom.Enabled = False
        radAllOn.Enabled = False
        cmdStop.Enabled = True
    End Sub
    Private Sub cmdStop_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdStop.Click
        cmdStop.Enabled = False
        comPresets.Enabled = True
        radRandom.Enabled = True
        radAllOn.Enabled = True
        cmdStart.Enabled = True
    End Sub
    Private Sub comPresets_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles comPresets.SelectedIndexChanged
        radRandom.Checked = False
        radAllOn.Checked = False
    End Sub
End Class