Public Class frmOptions
    Private Sub cmdSend_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdSend.Click
        SendSerialData(txtSend.Text, comPorts.SelectedItem)
    End Sub
    Private Sub cmdRead_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdRead.Click
        txtRead.Text = ReceiveSerialData(comPorts.SelectedItem)
    End Sub
    Private Sub cmdOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdOK.Click
        If cmdPatDefault.Enabled = False Then
            strPatternName = "Internal (Default)"
            strPatternFile = "Internal"
        End If
        frmMain.lblPatUse.Text = "Patterns: " & strPatternName
        Me.Close()
    End Sub
    Private Sub cmdPatBrowse_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdPatBrowse.Click
        OpenFileDialog.ShowDialog()
        txtPatLoad.Text = OpenFileDialog.FileName
        cmdPatLoad.Focus()
    End Sub
    Private Sub cmdPatLoad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdPatLoad.Click
        On Error GoTo errhandler
        If txtPatLoad.Text = "Internal" Then
            lblPatLoaded.Text = "Patterns: Internal (Default)"
            cmdPatDefault.Enabled = False
        Else
            FileOpen(1, txtPatLoad.Text, OpenMode.Input, OpenAccess.Read, OpenShare.Default)
            Input(1, strPatternName)
            FileClose(1)
            lblPatLoaded.Text = "Patterns: " & strPatternName
            strPatternFile = txtPatLoad.Text
            cmdPatDefault.Enabled = True
        End If
        Exit Sub
errhandler:
        MsgBox("Corrupt, missing, or no file specified." & vbCrLf & "Check the file and try again.", MsgBoxStyle.Critical)
    End Sub
    Private Sub cmdPatDefault_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdPatDefault.Click
        lblPatLoaded.Text = "Patterns: Internal (Default)"
        cmdPatDefault.Enabled = False
    End Sub
    Private Sub frmOptions_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        lblPatLoaded.Text = "Patterns: " & strPatternName
        txtPatLoad.Text = strPatternFile
        If strPatternName = "Internal (Default)" Then
            cmdPatDefault.Enabled = False
        Else
            cmdPatDefault.Enabled = True
        End If
        If boolAllowRemote = False Then
            cmdAllowRemote.Enabled = True
            cmdDenyRemote.Enabled = False
        Else
            cmdAllowRemote.Enabled = False
            cmdDenyRemote.Enabled = True
        End If
        txtIP.Text = Net.IPAddress.Loopback.ToString()
    End Sub
    Private Sub cmdCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdCancel.Click
        Me.Close()
    End Sub
    Private Sub cmdPatEdit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdPatEdit.Click
        MsgBox("Not implemented yet.", MsgBoxStyle.Information)
    End Sub
    Private Sub cmdAllowRemote_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdAllowRemote.Click
        cmdAllowRemote.Enabled = False
        boolAllowRemote = True
        MsgBox("Not implemented yet.", MsgBoxStyle.Information)
        txtIPPort.Enabled = False
        txtUser.Enabled = False
        txtPass.Enabled = False
        cmdDenyRemote.Enabled = True
    End Sub
    Private Sub cmdDenyRemote_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdDenyRemote.Click
        cmdDenyRemote.Enabled = False
        boolAllowRemote = False
        txtIPPort.Enabled = True
        txtUser.Enabled = True
        txtPass.Enabled = True
        cmdAllowRemote.Enabled = True
    End Sub
End Class